Device Requirements for Pitfall! Krave


Pitfall! Krave is compatible with iOS and Android devices. The exact devices are listed below:

iOS version 6 or higher
  • iPhone 4
  • iPad 2
  • iPod Touch 5
Android version 4.0 or higher
  • Sony Xperia i1
  • LG G2
  • Nexus 5
  • Samsung Note 3 LTE , 10.1 LTE
  • HTC One
  • Samsung Galaxy Note II (N7100) , 8 , 10
  • Google Nexus 4
  • Samsung Galaxy Tab 3 10.1
  • Google Nexus 7 (2013)
  • Google Nexus 10
  • Samsung Galaxy S4
  • Motorola Moto X
  • Moto Droid Ultra (Verizon)
  • Samsung Galaxy S3
  • Google Nexus 7 (2012)
  • Samsung Galaxy S2
  • Samsung Galaxy Tab 2 10.1
  • Samsung Galaxy S4 Mini
Kindle Android version 4.0 or higher
  • Kindle Fire HDX 7
  • Kindle Fire HDX 8.9
  • Amazon Kindle Fire HD 7”
  • Amazon Kindle Fire HD 8.9


Previous MonthNext Month
SunMonTueWedThuFriSat